// Generated by gir (https://github.com/gtk-rs/gir @ f7d2061cc781)
// from 
// from gir-files (https://github.com/gtk-rs/gir-files.git @ 4d1189172a70)
// DO NOT EDIT

#include "manual.h"
#include <stdio.h>

#define PRINT_CONSTANT(CONSTANT_NAME) \
    printf("%s;", #CONSTANT_NAME); \
    printf(_Generic((CONSTANT_NAME), \
                    char *: "%s", \
                    const char *: "%s", \
                    char: "%c", \
                    signed char: "%hhd", \
                    unsigned char: "%hhu", \
                    short int: "%hd", \
                    unsigned short int: "%hu", \
                    int: "%d", \
                    unsigned int: "%u", \
                    long: "%ld", \
                    unsigned long: "%lu", \
                    long long: "%lld", \
                    unsigned long long: "%llu", \
                    float: "%f", \
                    double: "%f", \
                    long double: "%ld"), \
           CONSTANT_NAME); \
    printf("\n");

int main() {
    PRINT_CONSTANT((gint) TRACKER_DESERIALIZE_FLAGS_NONE);
    PRINT_CONSTANT((gint) TRACKER_NOTIFIER_EVENT_CREATE);
    PRINT_CONSTANT((gint) TRACKER_NOTIFIER_EVENT_DELETE);
    PRINT_CONSTANT((gint) TRACKER_NOTIFIER_EVENT_UPDATE);
    PRINT_CONSTANT(TRACKER_PREFIX_DC);
    PRINT_CONSTANT(TRACKER_PREFIX_MFO);
    PRINT_CONSTANT(TRACKER_PREFIX_NAO);
    PRINT_CONSTANT(TRACKER_PREFIX_NCO);
    PRINT_CONSTANT(TRACKER_PREFIX_NFO);
    PRINT_CONSTANT(TRACKER_PREFIX_NIE);
    PRINT_CONSTANT(TRACKER_PREFIX_NMM);
    PRINT_CONSTANT(TRACKER_PREFIX_NRL);
    PRINT_CONSTANT(TRACKER_PREFIX_OSINFO);
    PRINT_CONSTANT(TRACKER_PREFIX_RDF);
    PRINT_CONSTANT(TRACKER_PREFIX_RDFS);
    PRINT_CONSTANT(TRACKER_PREFIX_SLO);
    PRINT_CONSTANT(TRACKER_PREFIX_TRACKER);
    PRINT_CONSTANT(TRACKER_PREFIX_XSD);
    PRINT_CONSTANT((gint) TRACKER_RDF_FORMAT_JSON_LD);
    PRINT_CONSTANT((gint) TRACKER_RDF_FORMAT_LAST);
    PRINT_CONSTANT((gint) TRACKER_RDF_FORMAT_TRIG);
    PRINT_CONSTANT((gint) TRACKER_RDF_FORMAT_TURTLE);
    PRINT_CONSTANT((gint) TRACKER_SERIALIZE_FLAGS_NONE);
    PRINT_CONSTANT((guint) TRACKER_SPARQL_CONNECTION_FLAGS_ANONYMOUS_BNODES);
    PRINT_CONSTANT((guint) TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_STEMMER);
    PRINT_CONSTANT((guint) TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_STOP_WORDS);
    PRINT_CONSTANT((guint) TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_UNACCENT);
    PRINT_CONSTANT((guint) TRACKER_SPARQL_CONNECTION_FLAGS_FTS_IGNORE_NUMBERS);
    PRINT_CONSTANT((guint) TRACKER_SPARQL_CONNECTION_FLAGS_NONE);
    PRINT_CONSTANT((guint) TRACKER_SPARQL_CONNECTION_FLAGS_READONLY);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_CONSTRAINT);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_CORRUPT);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_INCOMPLETE_PROPERTY_DEFINITION);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_INTERNAL);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_LAST);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_MISSING_LAST_MODIFIED_HEADER);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_NO_SPACE);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_ONTOLOGY_NOT_FOUND);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_OPEN_ERROR);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_PARSE);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_QUERY_FAILED);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_TYPE);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_UNKNOWN_CLASS);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_UNKNOWN_GRAPH);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_UNKNOWN_PROPERTY);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_ERROR_UNSUPPORTED);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_VALUE_TYPE_BLANK_NODE);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_VALUE_TYPE_BOOLEAN);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_VALUE_TYPE_DATETIME);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_VALUE_TYPE_DOUBLE);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_VALUE_TYPE_INTEGER);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_VALUE_TYPE_STRING);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_VALUE_TYPE_UNBOUND);
    PRINT_CONSTANT((gint) TRACKER_SPARQL_VALUE_TYPE_URI);
    return 0;
}
